#!/bin/sh
# ALFA1-TEST
# Test the alfa1 
# Writted by
#		 De Simoni Luis Fernando 	(ldesimon@dc.uba.ar)
#		 Wassermann Demian 		(demianw@bigfoot.com)
# Nov - 2001
echo "Welcome to the Test of the ALFA1"
echo "Please enter the absulute directory where the ALFA1 resides (file: alfa1-simu)"
echo "Example: /home/alfa1/source"
read alfa1simu
echo "Please enter the absulute directory where the output will be generated (Directory must exist)"
echo "Example: /home/alfa1/source/add or enter ./ to generate at the actual directory (You need write access)"
read output
echo "	"
echo "Starting the simulation" 
echo "The output will be generated to: $output"
echo "To run the test you need the Assembler alfa1-as and the Linker alfa1-ld in the PATH"
echo "If you don't have them stop the test."
echo "Start the simulation?"
read begin
if [ "$begin" = "n"]; then
	exit 1
fi
if [ "$begin" = "N"]; then
	exit 1
fi
echo "..."
cd add
sh batch $alfa1simu $output
cd ..

exit 1
cd ..
cd addcc
sh batch $alfa1simu $output

pwd
cd ..
cd and
sh batch $alfa1simu $output

pwd
cd ..
cd ba
sh batch $alfa1simu $output

pwd
cd ..
cd beq
sh batch $alfa1simu $output

pwd
cd ..
cd bn
sh batch $alfa1simu $output

pwd
cd ..
cd dec
sh batch $alfa1simu $output

cd ..
cd inc
sh batch $alfa1simu $output

cd ..
cd regld
sh batch $alfa1simu $output

cd ..
cd reg-reg
sh batch $alfa1simu $output

cd ..
cd sll
sh batch $alfa1simu $output

cd ..
cd smul
sh batch $alfa1simu $output

cd ..
cd srl
sh batch $alfa1simu $output

cd ..
cd sub
sh batch $alfa1simu $output

cd ..
cd sub2
sh batch $alfa1simu $output

cd ..
cd subcc
sh batch $alfa1simu $output

cd ..
cd udiv
sh batch $alfa1simu $output

cd ..
cd xor
sh batch $alfa1simu $output

cd ..
cd xor2
sh batch $alfa1simu $output

cd ..

